
From: MAEDA Naoaki <maeda.naoaki@jp.fujitsu.com>

It cannot be compiled on ia64, due to some typos in ia64 specific files.
The following patch fixes the typos. 

In addition, assign_irq_vector_nopanic() called by iosapic_register_intr()
is missing. Shouldn't be assign_irq_vector()?

Cc: "Brown, Len" <len.brown@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/acpi.c    |    4 ++--
 arch/ia64/kernel/iosapic.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/ia64/kernel/acpi.c~git-acpi-ia64-fixes arch/ia64/kernel/acpi.c
--- devel/arch/ia64/kernel/acpi.c~git-acpi-ia64-fixes	2005-08-07 22:08:55.000000000 -0700
+++ devel-akpm/arch/ia64/kernel/acpi.c	2005-08-07 22:08:55.000000000 -0700
@@ -74,7 +74,7 @@ unsigned int acpi_cpei_override;
 unsigned int acpi_cpei_phys_cpuid;
 
 #define MAX_SAPICS 256
-u16 ia64_acpiid_to_sapicid[MAX_SAPICS] = {[0...MAX_SAPICS - 1] = -1 };
+u16 ia64_acpiid_to_sapicid[MAX_SAPICS] = {[0 ... MAX_SAPICS - 1] = -1 };
 
 EXPORT_SYMBOL(ia64_acpiid_to_sapicid);
 
@@ -138,7 +138,7 @@ const char *acpi_get_sysname(void)
 
 /* Array to record platform interrupt vectors for generic interrupt routing. */
 int platform_intr_list[ACPI_MAX_PLATFORM_INTERRUPTS] = {
-	[0...ACPI_MAX_PLATFORM_INTERRUPTS - 1] = -1
+	[0 ... ACPI_MAX_PLATFORM_INTERRUPTS - 1] = -1
 };
 
 enum acpi_irq_model_id acpi_irq_model = ACPI_IRQ_MODEL_IOSAPIC;
diff -puN arch/ia64/kernel/iosapic.c~git-acpi-ia64-fixes arch/ia64/kernel/iosapic.c
--- devel/arch/ia64/kernel/iosapic.c~git-acpi-ia64-fixes	2005-08-07 22:08:55.000000000 -0700
+++ devel-akpm/arch/ia64/kernel/iosapic.c	2005-08-07 22:08:55.000000000 -0700
@@ -739,7 +739,7 @@ again:
 	if (vector < 0) {
 		vector = iosapic_find_sharable_vector(trigger, polarity);
   		if (vector < 0)
-			Return -ENOSPC;
+			return -ENOSPC;
 	}
 
 	spin_lock_irqsave(&irq_descp(vector)->lock, flags);
_
